import { ISvgProps } from '../types';

const defaultProps: ISvgProps = {
	viewBox: '0 0 40 40',
	pathClassName: 'st0'
};

export function SvgReels(props: ISvgProps) {
	props = { ...defaultProps, ...props };
	const { pathClassName, ...svgProps } = props;

	return (
		<svg {...svgProps}>
			<rect id='Rectangle_2385' data-name='Rectangle 2385' fill='none' />

			<g id='Group_3442' data-name='Group 3442' transform='translate(5 5)'>
				<path
					id='Path_4116'
					data-name='Path 4116'
					d='M1.77,11.98c0-1.6-.015-3.21,0-4.814A5.29,5.29,0,0,1,7,1.8q5.008-.078,10.017,0a5.286,5.286,0,0,1,5.21,5.45q.021,4.761,0,9.522a6.2,6.2,0,0,1-.176,1.468,5.286,5.286,0,0,1-4.817,3.976c-.965.05-1.934.022-2.9.023-2.371,0-4.743.008-7.114,0a5.328,5.328,0,0,1-5.369-4.5,6.223,6.223,0,0,1-.071-1.058c-.007-1.569,0-3.138,0-4.707m.967-3.355v.389q0,3.857,0,7.714a4.4,4.4,0,0,0,4.555,4.55q4.707.008,9.414,0a4.4,4.4,0,0,0,4.555-4.55q.006-3.858,0-7.715V8.625ZM8,2.752c.08.157.127.26.184.358.824,1.415,1.655,2.826,2.469,4.247a.492.492,0,0,0,.5.276c1.486-.01,2.972-.005,4.458-.005h.355a.546.546,0,0,0-.025-.137Q14.606,5.2,13.265,2.914a.377.377,0,0,0-.276-.155C11.35,2.749,9.712,2.752,8,2.752M21.229,7.627a4.361,4.361,0,0,0-3.746-4.809c-.959-.094-1.931-.049-2.9-.065a2.244,2.244,0,0,0-.261.032c.929,1.592,1.836,3.148,2.75,4.7a.342.342,0,0,0,.25.137c1.3.009,2.591.006,3.9.006M2.775,7.6H9.663c-.074-.134-.128-.237-.187-.337Q8.364,5.355,7.251,3.448c-.414-.709-.414-.71-1.231-.5A4.32,4.32,0,0,0,2.775,7.6'
				/>
				<path
					id='Path_4117'
					data-name='Path 4117'
					d='M9.083,14.68c0-.719-.008-1.438,0-2.157a1.448,1.448,0,0,1,2.154-1.293q1.989,1.076,3.933,2.231a1.416,1.416,0,0,1,.007,2.46q-1.943,1.158-3.931,2.236a1.451,1.451,0,0,1-2.162-1.284c-.013-.73,0-1.462,0-2.193m.967.029c0,.684-.006,1.367,0,2.051.007.576.335.771.834.491q1.846-1.038,3.685-2.094c.5-.284.5-.643.008-.923q-1.839-1.053-3.687-2.091c-.5-.281-.833-.089-.84.48-.008.695,0,1.391,0,2.086'
				/>
			</g>
		</svg>
	);
}
